Package com.enonic.xp.query.aggregation

## Class GeoDistanceAggregationQuery.Builder

- java.lang.Object
- - com.enonic.xp.query.aggregation.AggregationQuery.Builder<BucketAggregationQuery.Builder>
  - - com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder<AbstractRangeAggregationQuery.Builder>
    - - com.enonic.xp.query.aggregation.AbstractRangeAggregationQuery.Builder<GeoDistanceAggregationQuery.Builder,​DistanceRange>
      - - com.enonic.xp.query.aggregation.GeoDistanceAggregationQuery.Builder

- Enclosing class:
    GeoDistanceAggregationQuery

      public static final class GeoDistanceAggregationQuery.Builder
      extends AbstractRangeAggregationQuery.Builder<GeoDistanceAggregationQuery.Builder,​DistanceRange>

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.query.aggregation.AbstractRangeAggregationQuery.Builder

      `ranges`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GeoDistanceAggregationQuery` | `build()` |
    `GeoDistanceAggregationQuery.Builder` | `origin​(GeoPoint origin)` |
    `GeoDistanceAggregationQuery.Builder` | `unit​(String unit)` |

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AbstractRangeAggregationQuery.Builder

      `addRange, fieldName, setRanges`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder

      `addSubQueries, addSubQuery`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AggregationQuery.Builder

      `name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### origin

          public GeoDistanceAggregationQuery.Builder origin​(GeoPoint origin)

    - #### unit

          public GeoDistanceAggregationQuery.Builder unit​(String unit)

    - #### build

          public GeoDistanceAggregationQuery build()